VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
List of all members
Com::Vmware::Vcenter::Host::Summary Class Reference

## Avaliable Methods
public method | get_connection_state ()
public method | get_power_state ()
public method | set_name ()
public method | set_power_state ()
public method | new ()
public method | set_host ()
public method | set_connection_state ()
public method | get_name ()
public method | get_host ()

## Detailed Description

The `Com::Vmware::Vcenter::Host::Summary` class contains commonly used information about a host in vCenter Server.

## Member Function Documentation

public method Com::Vmware::Vcenter::Host::Summary::get_connection_state | ( |  | ) |

Gets the value of 'connection_state' property.

Return values

  connection_state | - The current value of the field. Connection status of the host ConnectionState#

Code:
click to view
# Number of lines of code in get_connection_state: 5
sub get_connection_state {
my ($self, %args) = @_;
return $self->{'connection_state'};
}

public method Com::Vmware::Vcenter::Host::Summary::get_host | ( |  | ) |

Gets the value of 'host' property.

Return values

  host | - The current value of the field. Identifier of the host. ID#

Code:
click to view
# Number of lines of code in get_host: 5
sub get_host {
my ($self, %args) = @_;
return $self->{'host'};
}

public method Com::Vmware::Vcenter::Host::Summary::get_name | ( |  | ) |

Gets the value of 'name' property.

Return values

  name | - The current value of the field. Name of the host. String#

Code:
click to view
# Number of lines of code in get_name: 5
sub get_name {
my ($self, %args) = @_;
return $self->{'name'};
}

public method Com::Vmware::Vcenter::Host::Summary::get_power_state | ( |  | ) |

Gets the value of 'power_state' property.

Return values

  power_state | - The current value of the field. Power state of the host optional#

Code:
click to view
# Number of lines of code in get_power_state: 5
sub get_power_state {
my ($self, %args) = @_;
return $self->{'power_state'};
}

public method Com::Vmware::Vcenter::Host::Summary::new | ( |  | ) |

Constructor to initialize the Com::Vmware::Vcenter::Host::Summary structure

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 32
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $validatorList = [];
$validatorList = [
new Com::Vmware::Vapi::Data::UnionValidator(
'discriminant_name' => 'connection_state',
'case_map' => {
'CONNECTED' => ['power_state'],
'DISCONNECTED' => [],
'NOT_RESPONDING' => [],
}),
];
my $self = $class->SUPER::new('validator_list' => $validatorList, %args);
$self->{host} = $args{'host'};
$self->{name} = $args{'name'};
$self->{connection_state} = $args{'connection_state'};
$self->{power_state} = $args{'power_state'};
$self->set_binding_class('binding_class' => 'Com::Vmware::Vcenter::Host::Summary');
$self->set_binding_name('name' => 'com.vmware.vcenter.host.summary');
$self->set_binding_field('key' => 'host', 'value' => new Com::Vmware::Vapi::Bindings::Type::StringType());
$self->set_binding_field('key' => 'name', 'value' => new Com::Vmware::Vapi::Bindings::Type::StringType());
$self->set_binding_field('key' => 'connection_state', 'value' => new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Vcenter', 'type_name' => 'Host::ConnectionState'));
$self->set_binding_field('key' => 'power_state', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Vcenter', 'type_name' => 'Host::PowerState')));
bless $self, $class;
return $self;
}

public method Com::Vmware::Vcenter::Host::Summary::set_connection_state | ( |  | ) |

Sets the given value for 'connection_state' property.

Parameters

  connection_state | - New value for the field. Connection status of the host

Code:
click to view
# Number of lines of code in set_connection_state: 6
sub set_connection_state {
my ($self, %args) = @_;
$self->{'connection_state'} = $args{'connection_state'};
return;
}

public method Com::Vmware::Vcenter::Host::Summary::set_host | ( |  | ) |

Sets the given value for 'host' property.

Parameters

  host | - New value for the field. Identifier of the host.

Code:
click to view
# Number of lines of code in set_host: 6
sub set_host {
my ($self, %args) = @_;
$self->{'host'} = $args{'host'};
return;
}

public method Com::Vmware::Vcenter::Host::Summary::set_name | ( |  | ) |

Sets the given value for 'name' property.

Parameters

  name | - New value for the field. Name of the host.

Code:
click to view
# Number of lines of code in set_name: 6
sub set_name {
my ($self, %args) = @_;
$self->{'name'} = $args{'name'};
return;
}

public method Com::Vmware::Vcenter::Host::Summary::set_power_state | ( |  | ) |

Sets the given value for 'power_state' property.

Parameters

  power_state | - New value for the field. Power state of the host

Code:
click to view
# Number of lines of code in set_power_state: 14
sub set_power_state {
my ($self, %args) = @_;
$self->{'power_state'} = $args{'power_state'};
return;
}
1;
#########################################################################################
# Ends structures for the Com::Vmware::Vcenter::Host service
#########################################################################################

The documentation for this class was generated from the following file:

- Com/Vmware/Vcenter/Host.pm